Tp::AbstractInterface Class Reference

| Home · All Classes · All Namespaces · Modules · Functions · Files

Signals | Public Member Functions | Protected Slots | Protected Member Functions | List of all members
Tp::AbstractInterface Class Reference
Client-side proxies

The AbstractInterface class is the base class for all client side D-Bus interfaces, allowing access to remote methods/properties/signals. More...

`#include <TelepathyQt/AbstractInterface>`

Inherits QDBusAbstractInterface.

Inherited by Tp::Client::AccountInterface, Tp::Client::AccountInterfaceAddressingInterface, Tp::Client::AccountInterfaceAvatarInterface, Tp::Client::AccountInterfaceStorageInterface, Tp::Client::AccountManagerInterface, Tp::Client::AuthenticationTLSCertificateInterface, Tp::Client::CallContentInterface, Tp::Client::CallContentInterfaceAudioControlInterface, Tp::Client::CallContentInterfaceDTMFInterface, Tp::Client::CallContentInterfaceMediaInterface, Tp::Client::CallContentInterfaceVideoControlInterface, Tp::Client::CallContentMediaDescriptionInterface, Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface, Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface, Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface, Tp::Client::CallStreamEndpointInterface, Tp::Client::CallStreamInterface, Tp::Client::CallStreamInterfaceMediaInterface, Tp::Client::ChannelDispatcherInterface, Tp::Client::ChannelDispatcherInterfaceMessages1Interface, Tp::Client::ChannelDispatchOperationInterface, Tp::Client::ChannelInterface, Tp::Client::ChannelInterfaceAnonymityInterface, Tp::Client::ChannelInterfaceCallStateInterface, Tp::Client::ChannelInterfaceCaptchaAuthenticationInterface, Tp::Client::ChannelInterfaceChatStateInterface, Tp::Client::ChannelInterfaceConferenceInterface, Tp::Client::ChannelInterfaceDestroyableInterface, Tp::Client::ChannelInterfaceDTMFInterface, Tp::Client::ChannelInterfaceFileTransferMetadataInterface, Tp::Client::ChannelInterfaceGroupInterface, Tp::Client::ChannelInterfaceHoldInterface, Tp::Client::ChannelInterfaceMediaSignallingInterface, Tp::Client::ChannelInterfaceMessagesInterface, Tp::Client::ChannelInterfacePasswordInterface, Tp::Client::ChannelInterfaceRoomConfigInterface, Tp::Client::ChannelInterfaceRoomInterface, Tp::Client::ChannelInterfaceSASLAuthenticationInterface, Tp::Client::ChannelInterfaceSecurableInterface, Tp::Client::ChannelInterfaceServicePointInterface, Tp::Client::ChannelInterfaceSMSInterface, Tp::Client::ChannelInterfaceSubjectInterface, Tp::Client::ChannelInterfaceTubeInterface, Tp::Client::ChannelRequestInterface, Tp::Client::ChannelTypeCallInterface, Tp::Client::ChannelTypeContactListInterface, Tp::Client::ChannelTypeContactSearchInterface, Tp::Client::ChannelTypeDBusTubeInterface, Tp::Client::ChannelTypeFileTransferInterface, Tp::Client::ChannelTypeRoomListInterface, Tp::Client::ChannelTypeServerAuthenticationInterface, Tp::Client::ChannelTypeServerTLSConnectionInterface, Tp::Client::ChannelTypeStreamedMediaInterface, Tp::Client::ChannelTypeStreamTubeInterface, Tp::Client::ChannelTypeTextInterface, Tp::Client::ChannelTypeTubesInterface, Tp::Client::ClientApproverInterface, Tp::Client::ClientHandlerInterface, Tp::Client::ClientInterface, Tp::Client::ClientInterfaceRequestsInterface, Tp::Client::ClientObserverInterface, Tp::Client::ConnectionInterface, Tp::Client::ConnectionInterfaceAddressingInterface, Tp::Client::ConnectionInterfaceAliasingInterface, Tp::Client::ConnectionInterfaceAnonymityInterface, Tp::Client::ConnectionInterfaceAvatarsInterface, Tp::Client::ConnectionInterfaceBalanceInterface, Tp::Client::ConnectionInterfaceCapabilitiesInterface, Tp::Client::ConnectionInterfaceCellularInterface, Tp::Client::ConnectionInterfaceClientTypesInterface, Tp::Client::ConnectionInterfaceContactBlockingInterface, Tp::Client::ConnectionInterfaceContactCapabilitiesInterface, Tp::Client::ConnectionInterfaceContactGroupsInterface, Tp::Client::ConnectionInterfaceContactInfoInterface, Tp::Client::ConnectionInterfaceContactListInterface, Tp::Client::ConnectionInterfaceContactsInterface, Tp::Client::ConnectionInterfaceLocationInterface, Tp::Client::ConnectionInterfaceMailNotificationInterface, Tp::Client::ConnectionInterfacePowerSavingInterface, Tp::Client::ConnectionInterfacePresenceInterface, Tp::Client::ConnectionInterfaceRequestsInterface, Tp::Client::ConnectionInterfaceServicePointInterface, Tp::Client::ConnectionInterfaceSimplePresenceInterface, Tp::Client::ConnectionManagerInterface, Tp::Client::DBus::DBusDaemonInterface, Tp::Client::DBus::IntrospectableInterface, Tp::Client::DBus::PeerInterface, Tp::Client::DBus::PropertiesInterface, Tp::Client::DebugInterface, Tp::Client::MediaSessionHandlerInterface, Tp::Client::MediaStreamHandlerInterface, Tp::Client::PropertiesInterfaceInterface, Tp::Client::ProtocolInterface, Tp::Client::ProtocolInterfaceAddressingInterface, Tp::Client::ProtocolInterfaceAvatarsInterface, and Tp::Client::ProtocolInterfacePresenceInterface.

## Signals
void | propertiesChanged (const QVariantMap &changedProperties, const QStringList &invalidatedProperties)

## Public Member Functions
virtual | ~AbstractInterface ()
bool | isValid () const
QString | invalidationReason () const
QString | invalidationMessage () const
void | setMonitorProperties (bool monitorProperties)
bool | isMonitoringProperties () const

## Protected Slots
virtual void | invalidate (Tp::DBusProxy *proxy, const QString &error, const QString &message)

## Protected Member Functions
| AbstractInterface (DBusProxy *proxy, const QLatin1String &interface)
| AbstractInterface (const QString &busName, const QString &path, const QLatin1String &interface, const QDBusConnection &connection, QObject *parent)
PendingVariant * | internalRequestProperty (const QString &name) const
PendingOperation * | internalSetProperty (const QString &name, const QVariant &newValue)
PendingVariantMap * | internalRequestAllProperties () const

## Detailed Description

The AbstractInterface class is the base class for all client side D-Bus interfaces, allowing access to remote methods/properties/signals.

## Constructor & Destructor Documentation

Tp::AbstractInterface::~AbstractInterface | ( |  | ) |
| virtual

Tp::AbstractInterface::AbstractInterface | ( | DBusProxy * | proxy,
|  | const QLatin1String & | interface
| ) |  |
| protected

Tp::AbstractInterface::AbstractInterface | ( | const QString & | busName,
|  | const QString & | path,
|  | const QLatin1String & | interface,
|  | const QDBusConnection & | connection,
|  | QObject * | parent
| ) |  |
| protected

## Member Function Documentation

bool Tp::AbstractInterface::isValid | ( |  | ) | const

QString Tp::AbstractInterface::invalidationReason | ( |  | ) | const

QString Tp::AbstractInterface::invalidationMessage | ( |  | ) | const

void Tp::AbstractInterface::setMonitorProperties | ( | bool | monitorProperties | ) |

Sets whether this abstract interface will be monitoring properties or not. If it's set to monitor, the signal propertiesChanged will be emitted whenever a property on this interface will change.

By default, AbstractInterface does not monitor properties: you need to call this method for this to happen.

Parameters

  monitorProperties | Whether this interface should monitor property changes or not.

See Also
  isMonitoringProperties propertiesChanged()

bool Tp::AbstractInterface::isMonitoringProperties | ( |  | ) | const

Return whether this abstract interface is monitoring properties or not. If it's monitoring, the signal propertiesChanged will be emitted whenever a property on this interface will change.

By default, AbstractInterface does not monitor properties: you need to call setMonitorProperties for this to happen.

Returns
  `true` if the interface is monitoring for property changes, `false` otherwise.

See Also
  setMonitorProperties propertiesChanged()

void Tp::AbstractInterface::propertiesChanged | ( | const QVariantMap & | changedProperties,
|  | const QStringList & | invalidatedProperties
| ) |  |
| signal

Emitted when one or more properties on this interface change or become invalidated. This signal will be emitted only if the interface is monitoring properties.

Parameters

  changedProperties | A map of the changed properties with their new value, if any.
  invalidatedProperties | A list of the invalidated properties, if any.

See Also
  isMonitoringProperties()

void Tp::AbstractInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  |
| protectedvirtualslot

Reimplemented in Tp::Client::ChannelTypeTubesInterface, Tp::Client::ChannelTypeTextInterface, Tp::Client::ChannelTypeStreamedMediaInterface, Tp::Client::ChannelTypeStreamTubeInterface, Tp::Client::ChannelTypeServerTLSConnectionInterface, Tp::Client::ChannelTypeServerAuthenticationInterface, Tp::Client::ChannelTypeRoomListInterface, Tp::Client::ChannelTypeFileTransferInterface, Tp::Client::ChannelTypeDBusTubeInterface, Tp::Client::ChannelTypeContactSearchInterface, Tp::Client::ConnectionInterfaceSimplePresenceInterface, Tp::Client::ChannelTypeContactListInterface, Tp::Client::ChannelTypeCallInterface, Tp::Client::ConnectionInterfaceServicePointInterface, Tp::Client::ConnectionInterfaceRequestsInterface, Tp::Client::ConnectionInterfacePresenceInterface, Tp::Client::ChannelInterfaceTubeInterface, Tp::Client::ChannelInterfaceSubjectInterface, Tp::Client::ConnectionInterfacePowerSavingInterface, Tp::Client::ConnectionInterfaceMailNotificationInterface, Tp::Client::ChannelInterfaceServicePointInterface, Tp::Client::ChannelInterfaceSecurableInterface, Tp::Client::ConnectionInterfaceLocationInterface, Tp::Client::ChannelInterfaceSMSInterface, Tp::Client::ConnectionInterfaceContactsInterface, Tp::Client::ChannelInterfaceSASLAuthenticationInterface, Tp::Client::ConnectionInterfaceContactListInterface, Tp::Client::ChannelInterfaceRoomInterface, Tp::Client::ChannelInterfaceRoomConfigInterface, Tp::Client::ConnectionInterfaceContactInfoInterface, Tp::Client::ChannelInterfacePasswordInterface, Tp::Client::ConnectionInterfaceContactGroupsInterface, Tp::Client::ChannelInterfaceMessagesInterface, Tp::Client::ChannelInterfaceMediaSignallingInterface, Tp::Client::ConnectionInterfaceContactCapabilitiesInterface, Tp::Client::ChannelInterfaceHoldInterface, Tp::Client::ConnectionInterfaceContactBlockingInterface, Tp::Client::ChannelInterfaceGroupInterface, Tp::Client::ConnectionInterfaceClientTypesInterface, Tp::Client::ConnectionInterfaceCellularInterface, Tp::Client::ConnectionInterfaceCapabilitiesInterface, Tp::Client::ChannelInterfaceFileTransferMetadataInterface, Tp::Client::ChannelInterfaceDestroyableInterface, Tp::Client::ConnectionInterfaceBalanceInterface, Tp::Client::ChannelInterfaceDTMFInterface, Tp::Client::ConnectionInterfaceAvatarsInterface, Tp::Client::ChannelInterfaceConferenceInterface, Tp::Client::ConnectionInterfaceAnonymityInterface, Tp::Client::AccountInterfaceStorageInterface, Tp::Client::ProtocolInterfacePresenceInterface, Tp::Client::ConnectionInterfaceAliasingInterface, Tp::Client::ChannelInterfaceChatStateInterface, Tp::Client::ProtocolInterfaceAvatarsInterface, Tp::Client::AccountInterfaceAvatarInterface, Tp::Client::CallContentInterfaceVideoControlInterface, Tp::Client::ClientObserverInterface, Tp::Client::AccountInterfaceAddressingInterface, Tp::Client::ChannelInterfaceCaptchaAuthenticationInterface, Tp::Client::ConnectionInterfaceAddressingInterface, Tp::Client::ProtocolInterfaceAddressingInterface, Tp::Client::CallContentInterfaceMediaInterface, Tp::Client::AccountInterface, Tp::Client::CallStreamInterfaceMediaInterface, Tp::Client::ConnectionInterface, Tp::Client::MediaStreamHandlerInterface, Tp::Client::ClientInterfaceRequestsInterface, Tp::Client::DBus::PropertiesInterface, Tp::Client::ChannelInterfaceCallStateInterface, Tp::Client::ProtocolInterface, Tp::Client::ChannelDispatcherInterfaceMessages1Interface, Tp::Client::ChannelInterfaceAnonymityInterface, Tp::Client::CallContentInterfaceDTMFInterface, Tp::Client::DBus::PeerInterface, Tp::Client::CallContentMediaDescriptionInterfaceRTPHeaderExtensionsInterface, Tp::Client::ClientHandlerInterface, Tp::Client::ChannelDispatcherInterface, Tp::Client::CallContentMediaDescriptionInterfaceRTCPFeedbackInterface, Tp::Client::ChannelInterface, Tp::Client::DBus::IntrospectableInterface, Tp::Client::CallContentMediaDescriptionInterfaceRTCPExtendedReportsInterface, Tp::Client::DBus::DBusDaemonInterface, Tp::Client::CallStreamEndpointInterface, Tp::Client::ChannelRequestInterface, Tp::Client::CallContentInterfaceAudioControlInterface, Tp::Client::ChannelDispatchOperationInterface, Tp::Client::CallStreamInterface, Tp::Client::ClientApproverInterface, Tp::Client::ConnectionManagerInterface, Tp::Client::AccountManagerInterface, Tp::Client::CallContentMediaDescriptionInterface, Tp::Client::AuthenticationTLSCertificateInterface, Tp::Client::PropertiesInterfaceInterface, Tp::Client::CallContentInterface, Tp::Client::DebugInterface, Tp::Client::MediaSessionHandlerInterface, and Tp::Client::ClientInterface.

PendingVariant * Tp::AbstractInterface::internalRequestProperty | ( | const QString & | name | ) | const
| protected

PendingOperation * Tp::AbstractInterface::internalSetProperty | ( | const QString & | name,
|  | const QVariant & | newValue
| ) |  |
| protected

PendingVariantMap * Tp::AbstractInterface::internalRequestAllProperties | ( |  | ) | const
| protected